Skip to main content
`Ctrl`+`K`

# PetscLogHandlerSetType

Set the type of a `PetscLogHandler`

## Synopsis

    PetscErrorCode PetscLogHandlerSetType(PetscLogHandler handler, PetscLogHandlerType name)

## Input Parameters

- handler - the `PetscLogHandler`

- name - The kind of log handler

## See Also

Profiling, `PetscLogHandler`, `PetscLogHandlerCreate()`, `PetscLogHandlerRegister()`, `PetscLogHandlerGetType()`

## Level

developer

## Location

src/sys/logging/handler/interface/lhreg.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages